$LastChangedDate: 27-Juil-2011 $

# CL_dMult

Dot multiplication

## Calling Sequence

       [C] = CL_dMult(A, B)

## Description

- Multiplies matrices elementwise (extends ".*").

  If A (resp B) contains 1 row (A=[r]), A (resp B) is construed as [r;r;r...r] (P times, where P = maximum number of rows between A and B).

  If A (resp B) contains 1 column ([c]), A (resp B) is construed as [c,c,c...c] (N times, where N = maximum number of columns between A and B).

  If A or B is [], the result is [].

## Parameters

A:

  First matrix (PxN) or (1xN) or (Px1)

B:

  Second matrix (PxN) or (1xN) or (Px1)

C:

  result (PxN)

## Authors

- CNES - DCT/SB

## See also

- CL_unitVector

- CL_norm

## Examples

    coef = [ 1 2 3 ];
    v = [ 1 2 3 ; 4 5 6 ; 7 8 9 ];
    w = CL_dMult(coef,v)